SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000388SiT!noticespublic2009-01-10 12:052009-02-27 16:27
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000388: Incident assignment notices dont work if your in a subdir of htdocs
DescriptionIf your in a sub directory of htdocs (say reports) then the links in incident assignment notices dont work as their relative
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000453)
kieran (administrator)
2009-01-10 12:39

Confirming, the js function uses a relative path. The .js file needs to use the config var for the full path, no idea how though.
User avatar (0000462)
ivan (administrator)
2009-01-11 11:36

Can somebody post steps to reproduce? I'm not sure what isn't working exactly with this.

Theres a variable in javascript called

application_webpath

which we can use for path, it's created by sit.js.php which gets it from the config file.
User avatar (0000464)
paulh (administrator)
2009-01-11 11:56

Steps to reproduce.

1) Create a new incident in SIT
2) Assign it to yourself
3) (Confirm you have a notice about this assignment)
4) Go to any reports say reports/site_incidents.php
5) Click the view incidents link in the notice and it takes you to /sit/reports/incident_details.php which gives a 404

It seems the function incident_details_window in webtrack.js needs to use the application_webpath variable which its not
User avatar (0000465)
ivan (administrator)
2009-01-11 15:15

Hopefully fixed by trunk r4628. Please confirm. thx
User avatar (0000467)
paulh (administrator)
2009-01-11 16:11

Cheers Ivan, can confirm this resolves this issue

- Issue History
Date Modified Username Field Change
2009-01-10 12:05 paulh New Issue
2009-01-10 12:39 kieran Note Added: 0000453
2009-01-10 12:39 kieran Status new => confirmed
2009-01-10 12:39 kieran Target Version => 3.45
2009-01-11 11:25 ivan Status confirmed => assigned
2009-01-11 11:25 ivan Assigned To => ivan
2009-01-11 11:36 ivan Note Added: 0000462
2009-01-11 11:36 ivan Status assigned => feedback
2009-01-11 11:56 paulh Note Added: 0000464
2009-01-11 15:15 ivan Note Added: 0000465
2009-01-11 15:15 ivan Status feedback => resolved
2009-01-11 16:11 paulh Note Added: 0000467
2009-01-11 16:11 paulh Resolution open => fixed
2009-01-11 16:11 paulh Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker